@import '../../providers/theme-provider/default-theme/index.scss';

.scrollableSapce {
  position: sticky;
  top: 0;
  z-index: 222;
  transform: translateY(-100px);
}

.fullMenuWrapper {
  width: 100%;
  max-width: 100%;
  background-size: cover;
  background-repeat: no-repeat;
  background-color: $secondary-color;
  background-position: center center;
  position: relative;
  color: white;
  text-align: center;
  transition: all 1s;
  padding: 30px 0;
  box-shadow: 1px 1px 6px gray;
}

.content {
  padding: 30px 0;
}

.logoWrapper {
  width: 140px;
  margin: 20px auto;
}

.titleHeader {
  font-size: 11px;
  margin-top: -15px;
  opacity: 0;
}
.titleHeaderBrand {
  color: $primary-color;
}

:global {
  // transitions and animations
  .whole-menu-animation-enter,
  .whole-menu-animation-enter-active,
  .whole-menu-animation-enter-done {
    transform: translateY(-40px) !important;
    transition: all 300ms ease-in;
  }

  .whole-menu-animation-exit,
  .whole-menu-animation-exit-active,
  .whole-menu-animation-exit-done {
    transform: translateY(0px);
    transition: all 300ms ease-in-out;
  }

  .logo-animation-enter,
  .logo-animation-enter-active,
  .logo-animation-enter-done {
    transform: scale(0.6) !important;
    transition: all 300ms ease-in;
  }

  .logo-animation-exit,
  .logo-animation-exit-active,
  .logo-animation-exit-done {
    transform: scale(1);
    transition: all 300ms ease-in-out;
  }

  .fade-text-animation-enter,
  .fade-text-animation-enter-active,
  .fade-text-animation-enter-done {
    opacity: 1 !important;
    transition: all 300ms ease-in;
  }

  .fade-text-animation-exit,
  .fade-text-animation-exit-active,
  .fade-text-animation-exit-done {
    opacity: 0;
    transition: all 300ms ease-in-out;
  }
}
